footer {
  position: relative;
  z-index: 1;
  margin-top: 24px;
  margin-bottom: 80px;

  @media (width >= 992px) {
    margin-bottom: 0;
  }

  .subscribe-footer {
    .footer-main-wrapper {
      background-color: var(--color-anchor);
      padding: 24px 0;
    }

    .subscribe-our-presence-container,
    .footer-link-columns-container,
    .footer-bottom-section,
    .subscribe-footer-disclaimer-wrapper,
    .footer-logo {
      padding-left: 20px;
      padding-right: 20px;
      margin: 0 auto;
      
      @media (width >= 992px) {
        padding-left: 56px;
        padding-right: 56px;
      }
    }

    .subscribe-our-presence-container {
      @media (width >= 992px) {
        border-bottom: 1px solid #3e429d;
        padding-bottom: 40px;
        margin-bottom: 40px;
      }
    }

    .footer-link-columns-container {
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      gap: 0;

      @media (width >= 992px) {
        flex-direction: row;
        gap: 16px;
        margin-bottom: 40px;
      }

      .link-column__heading {
        margin: 0;
        color: var(--secondary-gray-10);
        font-size: var(--subscription-font-2-desc);
      }
    }

    .contact-wrapper {
      .user__contact__icons {
        gap: 10px;
      }
    }

    .contact-container {
      .default-content-wrapper {
        color: var(--secondary-gray-10);
        margin: 16px 0;

        @media (width >= 992px) {
          margin: 0;
        }

        a {
          color: var(--secondary-gray-10);
          padding: 0;
        }
      }
    }

    .accordian-item {
      padding: 16px 0;
      border-bottom: 1px solid white;
      position: relative;

      @media (width >= 992px) {
        padding: 0;
        border-bottom: none;
      }

      &::after,
      &::before {
        content: '';
        position: absolute;
        right: 0;
        top: 50%;
        transform: translateY(-50%);
        width: 12px;
        height: 2px;
        background-color: white;

        @media (width >= 992px) {
          content: none;
        }
      }

      &::after {
        transform: translateY(-50%) rotate(90deg);
      }
    }

    .accordian-content {
      margin: 0;
      height: 0;
      overflow: hidden;

      @media (width >= 992px) {
        height: auto;
        overflow: visible;
        margin-top: 16px;
      }
    }

    .accordion-expanded {
      .accordian-content {
        height: auto;
        overflow: visible;
        margin-top: 16px;
      }

      .accordian-item::after {
        content: none;
      }
    }
  }

  .link-column-wrapper {
    padding: 0;
  }

  .footer-bottom-section {
    .link-grid-column {
      text-align: center;

      .accordian-content {
        display: flex;
        flex-direction: column;
        justify-content: center;
        gap: 4px;

        @media (width >= 992px) {
          flex-direction: row;
          flex-wrap: wrap;
          gap: 12px;
          margin: 0;
        }
      }
    }
  }

  .footer-logo {
    padding-bottom: 10px;

    img {
      width: 200px;
      height: auto;

      @media (width >= 992px) {
        width: 170px;
      }
    }
  }
}

footer .default-content-wrapper :is(h1, h2, h3, h4, h5, h6),
footer .default-content-wrapper p,
footer .columns-wrapper p {
  margin: 0;
  padding: 0;
}

footer .row {
  padding: 0;
}

footer .default-content-wrapper h6 {
  display: none;
}

footer .subscribe-footer {
}

footer .footer-top-section {
  display: none;
}

footer .footer__columns {
  display: block;
}

.footer__link-grid-container .link-column-container {
  .link-column-wrapper {
    @media (width<=1024px) {
      padding-right: 0;
      padding-left: 0;
    }
  }
  &:first-child {
    .link-column-wrapper {
      @media (width<=1024px) {
        padding-top: 0;
      }
    }
  }
}

footer .footer__columns .column {
  display: flex;
  flex-direction: column;
  gap: 32px;
  border-bottom: 0.5px solid rgb(255 255 255 / 30%);
  padding-bottom: 16px;
  @media (width>=992px) {
    flex: 1;
  }

  @media (width<=1024px) {
    padding-bottom: 0;
  }
}

footer .footer__columns .column:last-of-type {
  border-bottom: none;
}

footer .footer-bottom-section > * {
  flex-basis: 100%;
  flex-grow: 1;
}

footer .footer-bottom-section > *:last-child {
  border-top: 0.5px solid rgb(255 255 255 / 30%);
  padding-top: 8px;
  padding-left: 0;
}

footer .footer__columns .column:not(:first-of-type) {
  padding-top: 16px;

  @media (width<=1024px) {
    padding-top: 0;
  }
}

footer .footer__columns .column__heading {
  color: var(--tertiary-white);
  font-family: var(--body-font-family);
  font-size: 0.875rem;
  font-style: normal;
  font-weight: var(--fw-500);
  line-height: 1.125rem;
  margin: 0;
  padding: 0;
  padding-bottom: 16px;
  position: relative;
}

footer .columns-wrapper p {
  color: var(--tertiary-white);
  font-family: var(--body-font-arena);
  font-size: 0.75rem;
  font-weight: var(--fw-300);
  line-height: 1rem;
  font-style: italic;
}

footer .footer__columns .default-content-wrapper p {
  font-family: var(--body-font-family);
  color: var(--tertiary-white);
  font-size: 0.875rem;
  font-style: normal;
  font-weight: var(--fw-300);
  line-height: 1.25rem;
  display: inline;
  padding-right: 27px;
}

footer .footer__columns .default-content-wrapper {
  line-height: normal;
}

footer .footer__columns .default-content-wrapper p a {
  text-decoration: none;
  font-family: var(--body-font-family);
  color: var(--tertiary-white);
  cursor: pointer;
  padding: 0;
  font-weight: var(--fw-300);
  font-size: 0.875rem;
  line-height: 1.25rem;
  @media (width >=992px) {
    font-size: 0.75rem;
    line-height: 1.125rem;
  }
}

footer .footer__columns .default-content-wrapper p a:hover {
  color: var(--tertiary-white);
}

footer .footer__columns .default-content-wrapper p:has(strong) {
  padding: 0;
}

footer .footer__columns .default-content-wrapper p strong {
  display: block;
  font-weight: var(--fw-400);
  padding-bottom: 8px;
}

footer .footer__columns .column-0 .column__heading {
  padding-top: 0;
}

footer .footer__columns .column.contact-section .column__heading {
  display: none;
}

footer .footer__columns .user__contact .user__contact__icons a {
  padding: 0;
}

footer .link-grid-column.link-column-horizontal .links-container a {
  color: var(--dark-color);
  font-family: var(--body-font-family);
  font-size: 0.75rem;
  font-style: normal;
  font-weight: var(--fw-400);
  line-height: 1rem;
  text-decoration-line: underline;
  display: inline;
}

footer .footer__columns li,
footer .link-grid-column.link-column-vertical .links-container li,
footer .link-grid-column.link-column-vertical .links-container li a {
  color: var(--dark-color);
  font-family: var(--body-font-family);
  font-size: 0.75rem;
  font-style: normal;
  font-weight: var(--fw-400);
  line-height: 0.875rem;
  min-height: unset;
}

footer .footer__columns .column.contact-section .user__contact .user__contact__icons a {
  scale: 1;
  width: 24px;
  height: 23.973px;
  img {
    width: 100%;
    height: 100%;
  }
  &[title='X'] {
    width: 18px;
    height: 17.98px;
  }
  &[title='LinkedIn'] {
    width: 25px;
    height: 24.972px;
  }
  &:hover {
    background-color: inherit;
  }
}

footer .link-grid-column.link-column-vertical .links-container li a:hover {
  color: var(--tertiary-white);
}

footer .footer__columns .column.contact-section {
  padding-top: 32px;
  padding-bottom: 0;
  display: flex;
  flex-direction: column-reverse;
}

footer .footer__columns .column.contact-section .user__contact :is(h1, h2, h3, h4, h5, h6) {
  display: none;
}

footer .user__contact .user__contact__icons {
  justify-content: space-between;
  align-items: center;
}

footer .footer-bottom-section {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 24px;
  padding: 12px 0;

  @media (width >= 992px) {
    padding: 24px 0;
  }
}

footer .footer-bottom-section .columns-wrapper .columns > div > *:first-child > *:last-child {
  display: none;
}

footer .footer-bottom-section .columns-wrapper .columns > div {
  display: flex;
  flex-direction: column;
  gap: 16px;
  align-items: flex-start;
}

footer .link-grid-column.link-column-horizontal .link-column__heading {
  color: var(--darker-color);
  font-family: var(--body-font-family);
  font-size: 0.875rem;
  font-style: normal;
  font-weight: var(--fw-400);
  line-height: 1.125rem;
  margin: 0;
  @media (width >=992px) {
    font-size: 0.75rem;
  }
}

footer .link-grid-column.link-column-horizontal .accordian-content {
  overflow: auto;
  visibility: visible;
  height: fit-content;
}

.footer-center-section .contact-wrapper.collpsable.hide__section {
  height: auto !important;
}

footer .footer-center-section .default-content-wrapper .collpsable.hide__section:nth-child(5) {
  display: none;
}

.footer-wrapper {
  .contact-wrapper {
    .user__contact {
      display: block;

      .user__contact-title {
        color: var(--tertiary-white);
        font-family: var(--body-font-family);
        font-size: 0.875rem;
        font-style: normal;
        font-weight: var(--fw-400);
        line-height: 1.125rem;
        letter-spacing: -0.14px;
        padding: 0;
        @media (width >=992px) {
          font-size: 0.75rem;
        }
      }

      .user__contact__icons {
        gap: inherit;
        align-items: center;
        @media (width >=992px) {
          flex-wrap: nowrap;
          gap: 15.1724px;
          padding-top: 16px;
          padding-bottom: 0;
        }

        @media (width >=768px) and (width<=1024px) {
          justify-content: flex-start;
          gap: 40px;
        }

        .user__contact--icon {
          display: flex;
          flex-direction: row;
        }
      }
    }
  }
}

@media (width >=768px) {
  footer .default-content-wrapper {
    padding-bottom: 24px;
  }

  footer .footer__columns .default-content-wrapper p {
    font-weight: var(--fw-300);
  }

  footer .link-grid-column.link-column-horizontal {
    flex-direction: column;
    gap: 16px;
  }

  footer .link-grid-column.link-column-horizontal .links-container a {
    font-size: 9px;
    color: var(--darker-color);
  }

  footer .footer-bottom-section .columns-wrapper .columns > div {
    gap: 14px;
  }

  footer .footer-bottom-section > *:last-child {
    border-top: 0px;
    padding-top: 0px;
    padding-left: 0;
  }

  footer .link-grid-column.link-column-horizontal .link-column__heading {
    font-weight: var(--fw-500);
    padding: 0;
  }
}

@media (width>=992px) {
  footer .subscribe-footer {
  }

  footer .footer__columns .column__heading {
    font-size: 1.125rem;
    font-weight: var(--fw-500);
    line-height: 1.5rem;
    cursor: pointer;
  }

  .subscribe-footer .footer__columns .column.contact-section {
    padding-top: 24px;
  }

  footer .default-content-wrapper {
    padding-bottom: 16px;
  }

  footer .footer-bottom-section {
    gap: 32px;
  }

  footer .footer-bottom-section .columns-wrapper .columns > div {
    gap: 16px;
  }

  footer .link-grid-column.link-column-horizontal {
    flex-direction: row;
    gap: 0;
    align-items: center;
  }

  footer .footer__columns .default-content-wrapper p strong {
    padding-bottom: 4px;
  }
}

@media (width>=992px) {
  footer .subscribe-footer {
  }

  footer .footer-top-section {
    display: block;
    padding-bottom: 64px;
  }

  footer .footer-top-section :is(h1, h2, h3, h4, h5, h6) {
    color: var(--tertiary-white);
    font-family: var(--body-font-family);
    font-size: 2rem;
    font-style: normal;
    font-weight: var(--fw-600);
    line-height: 2.5rem;
    letter-spacing: 0.96px;
    max-width: 505px;
  }

  footer .footer__columns {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: stretch;
    gap: 16px;
    padding-bottom: 20px;
  }

  footer .footer__columns--collapsed,
  footer .footer__columns--collapsed .column {
    transition: all 0.2s ease-in-out;
    padding: 0;
  }

  footer .accordian-content {
    visibility: visible;
    height: fit-content;
  }

  footer .link-grid-column.link-column-vertical .links-container li a {
    font-family: var(--body-font-arena);
    font-size: 0.875rem;
    line-height: 1.25rem;
  }

  footer .footer__columns .column__heading {
    padding-top: 0;
    padding-bottom: 20px;
  }

  footer .footer__columns .default-content-wrapper {
    margin: 0;
    border-bottom: 0px;
  }

  footer .footer__columns .link-column-wrapper {
    padding: 0;
  }

  footer .footer__columns .default-content-wrapper p {
    font-family: var(--body-font-arena);
    font-size: 0.75rem;
    line-height: 1.125rem;
    letter-spacing: -0.14px;
    display: block;
    padding-top: 3px;
    color: var(--light-gray-text);
  }

  footer .footer__columns .default-content-wrapper p strong {
    font-family: var(--body-font-family);
    color: var(--tertiary-white);
  }

  footer .default-content-wrapper h6 {
    display: block;
    color: var(--tertiary-white);
    font-size: 0.875rem;
    line-height: 0.875rem;
    margin-top: 1.25rem;
  }

  footer .default-content-wrapper h6.hide__section {
    margin-top: 0;
  }

  footer .footer__columns .column {
    border-bottom: none;
    display: flex;
    flex-direction: column;
    gap: 0px 16px;
  }

  footer .footer__columns .column:not(:first-of-type) {
    padding-top: 0;
  }

  footer .accordian-item::after,
  footer .accordian-item--expanded::after {
    display: none;
  }

  footer .footer__columns .column.contact-section {
    padding: 0;
    display: flex;
    flex-direction: column;
  }

  .subscribe-footer .footer__columns .column.contact-section {
    padding-top: 0;
  }

  footer .columns-wrapper p {
    font-size: 0.875rem;
    line-height: 1.25rem;
  }

  footer .footer__columns .default-content-wrapper p a.button {
    padding: 0;
    color: #d2d2d2;
    font-weight: 400;
  }

  footer .footer__columns .default-content-wrapper p a.button:hover {
    color: var(--tertiary-white);
  }

  footer .footer__columns .column.contact-section .column__heading,
  footer .footer__columns .column.contact-section .user__contact :is(h1, h2, h3, h4, h5, h6) {
    display: block;
  }

  footer .footer__columns .user__contact :is(h1, h2, h3, h4, h5, h6) {
    color: var(--tertiary-white);
    font-family: var(--body-font-family);
    font-size: 0.875rem;
    font-style: normal;
    font-weight: var(--fw-400);
    line-height: 1.125rem;
    letter-spacing: -0.14px;
    padding: 0;
    @media (width >=992px) {
      font-size: 0.75rem;
    }
  }

  footer .user__contact .user__contact__icons {
    flex-wrap: nowrap;
    gap: 16px;
    padding-top: 16px;
    padding-bottom: 0;
  }

  footer .user__contact .user__contact__icons a:hover {
    scale: 1.2;
    background-color: transparent;
  }

  footer .footer-bottom-section {
    gap: 32px;
  }

  footer .footer-bottom-section > *:last-child {
    border: none;
    padding: 0;
  }

  footer .footer-bottom-section .columns-wrapper .columns > div {
    gap: 24px;
    align-items: stretch;
    flex-direction: row;
    justify-content: space-between;
  }

  footer .footer-bottom-section .columns-wrapper .columns > div > div {
    display: flex;
    flex-direction: column;
  }

  footer .footer-bottom-section .columns-wrapper .columns > div > * {
    flex-basis: 100%;
  }

  footer .footer-bottom-section .columns-wrapper .columns > div > div > *:last-of-type {
    margin-top: auto;
  }

  footer .footer-bottom-section .columns-wrapper .columns > div > *:first-child > *:last-child {
    display: block;
  }

  footer .footer-bottom-section .columns-wrapper .columns > .footer__two-column-section > div:first-of-type {
    flex-basis: 59%;
  }

  footer .footer-bottom-section .columns-wrapper .columns > .footer__two-column-section > div:last-of-type {
    flex-basis: 36%;
  }

  footer .footer__separator {
    height: 1px;
    width: 100%;
    background: var(--tertiary-white);
    position: relative;
    margin-top: 22px;
    margin-bottom: 22px;
  }

  footer .footer__separator::after {
    content: '';
    position: absolute;
    height: 20px;
    width: 20px;
    background-color: var(--tertiary-white);
    background-image: url('/icons/footer-expand.svg');
    left: 50%;
    top: -12px;
    margin-left: -12px;
    cursor: pointer;
    scale: 1.2;
  }

  footer .footer__separator--collapsed::after {
    background-image: url('/icons/footer-collapes.svg');
  }

  footer .collpsable {
    transition: all 0.2s ease-in-out;
    visibility: visible;
    opacity: 1;
  }

  footer .collpsable.hide__section {
    overflow: hidden;
    visibility: hidden;
    opacity: 0;
  }

  footer .footer-bottom-section .link-column-horizontal .link-column__heading {
    margin: 0;
    padding: 0;
    font-weight: var(--fw-400);
  }

  footer .link-grid-column.link-column-horizontal .links-container a {
    color: var(--darker-color);
    font-size: 0.75rem;
    font-weight: var(--fw-400);
    line-height: 1.25rem;
    text-decoration-line: none;
    display: inline;
  }

  footer .footer__columns .column.contact-section .user__contact .user__contact__icons a {
    scale: 1;
    width: 20.023px;
    height: 20px;
    img {
      width: 100%;
      height: 100%;
    }
    &[title='X'],
    &[title='LinkedIn'] {
      width: 20.023px;
      height: 20px;
    }
  }

  footer .footer__columns .column.contact-section .user__contact .user__contact__icons a:hover {
    scale: 1.2;
  }

  .footer-center-section .contact-wrapper.collpsable.hide__section {
    height: 0 !important;
  }
}

@media (width>=1920px) {
  footer .footer-bottom-section .columns-wrapper .columns > div {
    gap: 96px;
  }
}
